%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Simple scripting language for Web browsing
Name: python-twill
Version: 0.9
Release: 2%{?dist}
Group: Applications/Internet
License: MIT
URL: http://twill.idyll.org/
Source: http://darcs.idyll.org/~t/projects/twill-%{version}.tar.gz
# Don't use the included mechanize, pyparsing, ClientForm or subprocess
Patch0: twill-0.9-noforks.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: python-clientform
Requires: python-mechanize
Requires: pyparsing
BuildRequires: python-devel
BuildRequires: python-setuptools
BuildArch: noarch

%description
twill is a simple language that allows users to browse the Web from a
command-line interface. With twill, you can navigate through Web sites that
use forms, cookies, and most standard Web features.


%prep
%setup -q -n twill-%{version}
%patch0 -p1 -b .noforks
%{__rm} -rf twill/other_packages/_mechanize_dist/


%build
%{__python} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%clean
%{__rm} -rf %{buildroot}



%files
%defattr(-,root,root,-)
%doc README.txt doc/LICENSE.txt doc/ANNOUNCE-*.txt
%doc doc/index.txt doc/examples.txt doc/browsing.txt doc/commands.txt
%doc doc/ChangeLog doc/developer.txt doc/advocacy/simple-example.txt
%doc doc/extensions.txt doc/python-api.txt doc/other.txt doc/testing.txt
%{python_sitelib}/twill/
%{python_sitelib}/twill-*.egg-info/
%{_bindir}/twill-fork
%{_bindir}/twill-sh


%changelog
* Tue Apr 14 2009 Matthias Saou <http://freshrpms.net/> 0.9-2
- Add -b .noforks to the patch0 line.
- Remove no longer needed --single-version-externally-managed option.

* Sun Apr 12 2009 Matthias Saou <http://freshrpms.net/> 0.9-1
- The original submission was abandoned (#253355), so take it from here.

* Wed Dec 24 2008 Matthias Saou <http://freshrpms.net/> 0.9-0.3
- Include patch and requirements to get rid of all the forked included
  python code and use proper packages instead.

* Tue Oct 21 2008 Matthias Saou <http://freshrpms.net/> 0.9-0.2
- Update to 0.9 final.
- Rename from twill to python-twill.

* Sat Aug 18 2007 Luke Macken <lmacken@redhat.com> - 0.9-0.1.b1
- Initial creation

